Subject: Re: Compiling XEmacs when same version is already installed
From: Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
Date: 31 Jul 2001 20:23:42 +0200
http://list-archive.xemacs.org/xemacs/200108/msg00001.html

--- xemacs-21.4.4/lisp/dump-paths.el.orig	Tue Jul 31 19:47:56 2001
+++ xemacs-21.4.4/lisp/dump-paths.el	Tue Jul 31 19:56:14 2001
@@ -58,10 +58,18 @@
 		       late-packages late-package-load-path)
 	       'external-debugging-output)))
 
-  (setq lisp-directory (paths-find-lisp-directory roots))
+  (let ((build-root (expand-file-name ".." invocation-directory)))
+    (setq lisp-directory   (expand-file-name "lisp"    build-root))
+    (setq module-directory (expand-file-name "modules" build-root)))
+
   (if debug-paths
       (princ (format "lisp-directory:\n%S\n" lisp-directory)
 	     'external-debugging-output))
+
+  (if debug-paths
+      (princ (format "module-directory:\n%S\n" module-directory)
+	     'external-debugging-output))
+  
   (if (featurep 'mule)
       (progn
 	(setq mule-lisp-directory
